apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  name: windows-11-virtio-maroon-mite-41
  namespace: default
spec:
  dataVolumeTemplates:
    - metadata:
        name: windows-11-virtio-maroon-mite-41-volume
      spec:
        sourceRef:
          kind: DataSource
          name: win11
          namespace: default
        storage:
          resources: {}
          storageClassName: managed-csi
  instancetype:
    name: u1.large
  preference:
    name: windows.11.virtio
    kind: VirtualMachineClusterPreference
  running: true
  template:
    metadata:
      labels:
        network.kubevirt.io/headlessService: headless
    spec:
      domain:
        devices:
          autoattachPodInterface: false
          disks:
            - cdrom:
                bus: virtio
              name: sysprep
          interfaces:
            - masquerade: {}
              name: default
      networks:
        - name: default
          pod: {}
      subdomain: headless
      volumes:
        - dataVolume:
            name: windows-11-virtio-maroon-mite-41-volume
          name: rootdisk
        - name: sysprep
          sysprep:
            configMap:
              name: sysprep-config-violet-kite-47
